com.fasterxml.jackson.dataformat.yaml

## Class YAMLFactoryBuilder

- java.lang.Object
- - com.fasterxml.jackson.core.TSFBuilder<YAMLFactory,YAMLFactoryBuilder>
  - - com.fasterxml.jackson.dataformat.yaml.YAMLFactoryBuilder

    public class YAMLFactoryBuilder
    extends com.fasterxml.jackson.core.TSFBuilder<YAMLFactory,YAMLFactoryBuilder>

`TSFBuilder` implementation for constructing `YAMLFactory` instances.

### Field Summary

Fields
`protected int` `_formatGeneratorFeatures` Set of `YAMLGenerator.Feature`s enabled, as bitmask.
`protected StringQuotingChecker` `_quotingChecker` Helper object used to determine whether property names, String values must be quoted or not.
`protected org.yaml.snakeyaml.DumperOptions.Version` `_version` YAML version for underlying generator to follow, if specified; left as `null` for backwards compatibility (which means whatever default settings `SnakeYAML` deems best).

### Fields inherited from class com.fasterxml.jackson.core.TSFBuilder

`_factoryFeatures, _inputDecorator, _outputDecorator, _streamReadFeatures, _streamWriteFeatures, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS`

### Constructor Summary

Constructors
`protected` `YAMLFactoryBuilder()`
`` `YAMLFactoryBuilder(YAMLFactory base)`

### Method Summary

All Methods Instance Methods Concrete Methods
`YAMLFactory` `build()`
`YAMLFactoryBuilder` `configure(YAMLGenerator.Feature f, boolean state)`
`YAMLFactoryBuilder` `disable(YAMLGenerator.Feature f)`
`YAMLFactoryBuilder` `disable(YAMLGenerator.Feature first, YAMLGenerator.Feature... other)`
`YAMLFactoryBuilder` `enable(YAMLGenerator.Feature f)`
`YAMLFactoryBuilder` `enable(YAMLGenerator.Feature first, YAMLGenerator.Feature... other)`
`int` `formatGeneratorFeaturesMask()`
`StringQuotingChecker` `stringQuotingChecker()`
`YAMLFactoryBuilder` `stringQuotingChecker(StringQuotingChecker sqc)` Method for specifying either custom `StringQuotingChecker` to use instead of default one, or, that default one (see `StringQuotingChecker.Default#instance()`) is to be used (when passing `null`
`org.yaml.snakeyaml.DumperOptions.Version` `yamlVersionToWrite()`
`YAMLFactoryBuilder` `yamlVersionToWrite(org.yaml.snakeyaml.DumperOptions.Version v)` Method for specifying YAML version for generator to use (to produce compliant output); if `null` passed, will let `SnakeYAML` use its default settings.

### Methods inherited from class com.fasterxml.jackson.core.TSFBuilder

`_legacyDisable, _legacyDisable, _legacyEnable, _legacyEnable, _this, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, enable, enable, factoryFeaturesMask, inputDecorator, inputDecorator, outputDecorator, outputDecorator, streamReadFeatures, streamWriteFeatures`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _formatGeneratorFeatures

    protected int _formatGeneratorFeatures

Set of `YAMLGenerator.Feature`s enabled, as bitmask.

#### _quotingChecker

    protected StringQuotingChecker _quotingChecker

Helper object used to determine whether property names, String values must be quoted or not.

Since:
  2.12

#### _version

    protected org.yaml.snakeyaml.DumperOptions.Version _version

YAML version for underlying generator to follow, if specified; left as `null` for backwards compatibility (which means whatever default settings `SnakeYAML` deems best).

### Constructor Detail

#### YAMLFactoryBuilder

    protected YAMLFactoryBuilder()

#### YAMLFactoryBuilder

    public YAMLFactoryBuilder(YAMLFactory base)

### Method Detail

#### enable

    public YAMLFactoryBuilder enable(YAMLGenerator.Feature f)

#### enable

    public YAMLFactoryBuilder enable(YAMLGenerator.Feature first,
                                     YAMLGenerator.Feature... other)

#### disable

    public YAMLFactoryBuilder disable(YAMLGenerator.Feature f)

#### disable

    public YAMLFactoryBuilder disable(YAMLGenerator.Feature first,
                                      YAMLGenerator.Feature... other)

#### configure

    public YAMLFactoryBuilder configure(YAMLGenerator.Feature f,
                                        boolean state)

#### stringQuotingChecker

    public YAMLFactoryBuilder stringQuotingChecker(StringQuotingChecker sqc)

Method for specifying either custom `StringQuotingChecker` to use instead of default one, or, that default one (see `StringQuotingChecker.Default#instance()`) is to be used (when passing `null`

Parameters:
  `sqc` - Checker to use (if non-null), or `null` to use the default one (see `StringQuotingChecker.Default#instance()`)
Returns:
  This builder instance, to allow chaining

#### yamlVersionToWrite

    public YAMLFactoryBuilder yamlVersionToWrite(org.yaml.snakeyaml.DumperOptions.Version v)

Method for specifying YAML version for generator to use (to produce compliant output); if `null` passed, will let `SnakeYAML` use its default settings.

Parameters:
  `v` - YAML specification version to use for output, if not-null; `null` for default handling
Returns:
  This builder instance, to allow chaining

#### formatGeneratorFeaturesMask

    public int formatGeneratorFeaturesMask()

#### yamlVersionToWrite

    public org.yaml.snakeyaml.DumperOptions.Version yamlVersionToWrite()

#### stringQuotingChecker

    public StringQuotingChecker stringQuotingChecker()

#### build

    public YAMLFactory build()

Specified by:
  `build` in class `com.fasterxml.jackson.core.TSFBuilder<YAMLFactory,YAMLFactoryBuilder>`